View Issue Details

IDProjectCategoryView StatusLast Update
0023976LazarusDebuggerpublic2013-03-02 22:08
ReporterlksAssigned ToMartin Friebe 
PrioritynormalSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
PlatformdarwinOSOSXOS Version10.8.2
Product Version1.1 (SVN)Product BuildRevision 40450 
Target Version1.2.0Fixed in Version1.1 (SVN) 
Summary0023976: Programs Do Not Start Up Under Debugger in Darwin (most recent lazarus, fpc)
Descriptionfpc revision 23675
lazarus revision 40450

[This is a very recent problem; sometime in the last few revisions.]

Create a new program, add one line writeln('hello world'), set a breakpoint there, and then hit the green arrow key to compile and run. The program never starts.

Messages at terminal window:

TMainIDE.DoInitProjectRun Check build ...
TBuildManager.CheckIfProjectNeedsCompilation SrcFile outdated Project
TCompiler.Compile WorkingDir="/var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/" CompilerFilename="/opt/freepascal/bin/fpc" CompilerParams=" -MObjFPC -Scghi -O1 -g -gl -vewnhi -Filib/i386-darwin -FUlib/i386-darwin/ -l /var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/project1.lpr"
[TCompiler.Compile] CmdLine="/opt/freepascal/bin/fpc -MObjFPC -Scghi -O1 -g -gl -vewnhi -Filib/i386-darwin -FUlib/i386-darwin/ -l /var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/project1.lpr"
Hint: Start of reading config file /opt/freepascal/etc/fpc.cfg
Hint: End of reading config file /opt/freepascal/etc/fpc.cfg
Free Pascal Compiler version 2.7.1 [2013/02/28] for i386
Copyright (c) 1993-2013 by Florian Klaempfl and others
Target OS: Darwin for i386
Compiling /var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/project1.lpr
Assembling (pipe) lib/i386-darwin/project1.s
Linking /var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/project1
15 lines compiled, 0.1 sec
2 hint(s) issued
[TCompiler.Compile] end
TMainIDE.DoInitProjectRun ProgramFilename=/var/folders/mp/9vvrbxrd63z97z8ylyw638pm0000gn/T/project1


and when I exit lazarus:

[TCmdLineDebugger.Getoutput] Error waiting
Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
Last message repeated 16 times: "[TCmdLineDebugger.Getoutput] Error waiting "
Last message repeated 32 times: "[TCmdLineDebugger.Getoutput] Error waiting "
Last message repeated 64 times: "[TCmdLineDebugger.Getoutput] Error waiting "


TagsNo tags attached.
Fixed in Revision40461
LazTarget1.2
Widgetset
Attached Files
  • LOG_FILE (12,032 bytes)
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
    TMainIDE.ParseCmdLineOptions:
      PrimaryConfigPath="/Users/lou/.lazarus"
      SecondaryConfigPath="/etc/lazarus"
    DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
    DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
    DebugDataWindow: TCallStackDlg.CallStackCurrent from nil  Upd:True
    DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
    DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
    DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
    DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
    DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
    DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
    DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
    DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
    DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
      DebugDataMonitor: >>ENTER: TCurrentCallStackList.GetEntryForThread: ThreadId=0
      DebugDataMonitor: <<EXIT: TCurrentCallStackList.GetEntryForThread
    DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
    DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
    DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
    DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
    DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
    TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
    TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
    TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
    [TMainIDE.DoRunProject] INIT
    TMainIDE.DoInitProjectRun Check build ...
    TMainIDE.DoBuildProject MainBuildBoss.DoCheckIfProjectNeedsCompilation nothing to be done
    TMainIDE.DoInitProjectRun ProgramFilename=/Users/lou/project1
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
    DebugDataWindow: TCallStackDlg.CallStackChanged from TCallStackMonitor Upd:False
    DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
    DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
    [TCmdLineDebugger] Debug PID: 74427
    << TCmdLineDebugger.ReadLn "(gdb) "
    Executing (Recurse-Count=0) queued= 0 CmdPrior=0 CmdMinRunLvl=-1 : "TGDBMIDebuggerCommandInitDebugger" State=None PauseWaitState=0
      >> TCmdLineDebugger.SendCmdLn "-gdb-set confirm off"
      << TCmdLineDebugger.ReadLn "^done,time={wallclock="0.00002",user="0.00001",system="0.00001",start="1362198920.168147",end="1362198920.168169"}"
      << TCmdLineDebugger.ReadLn "(gdb) "
      >> TCmdLineDebugger.SendCmdLn "-gdb-set new-console off"
      << TCmdLineDebugger.ReadLn "^error,msg="No symbol table is loaded.  Use the \"file\" command.""
      << TCmdLineDebugger.ReadLn "(gdb) "
      >> TCmdLineDebugger.SendCmdLn "set width 50000"
      << TCmdLineDebugger.ReadLn "&"set width 50000\n""
      << TCmdLineDebugger.ReadLn "^done"
      << TCmdLineDebugger.ReadLn "(gdb) "
      >> TCmdLineDebugger.SendCmdLn "set target-async off"
      << TCmdLineDebugger.ReadLn "&"set target-async off\n""
      [TMainIDE.DoRunProject] INIT
      TMainIDE.DoInitProjectRun Check build ...
      TMainIDE.DoBuildProject MainBuildBoss.DoCheckIfProjectNeedsCompilation nothing to be done
      TMainIDE.DoInitProjectRun ProgramFilename=/Users/lou/project1
      [TDebugManager.DoInitDebugger] *** Re-Entered
      DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
      DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
      DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
      [TCmdLineDebugger.Getoutput] Error waiting 
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 16 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 32 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 64 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      [TCmdLineDebugger.Getoutput] Error waiting 
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 16 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 32 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 64 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      [TCmdLineDebugger.Getoutput] Error waiting 
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.ReadLn ""
      << TCmdLineDebugger.Rea
    LOG_FILE (12,032 bytes)

Activities

Martin Friebe

2013-03-01 02:42

manager   ~0065955

Can you please try to provide a log as detailed here:
http://wiki.lazarus.freepascal.org/GDB_Debugger_Tips#Log_info_for_debug_session


Can you try with (older) revision 40411 / Test if it was introduced in 40412

And/Or (if not 40412, try with 40367 (check if introduced by 40368)

You may also try to change the new option "MaxDisplayLengthForString" to either a smaller value (e.g. 200) or zero.

---
Since you use FPC from trunk, it would also be important to know that it is not caused by a change in FPC.

Can you test with 2.6.0 (or 2.6.2) and latest lazarus?

---
My only test environment for Mac is Lazarus trunk, with fpc 2.6.0 (on a very old Mac). And this does work.

lks

2013-03-02 06:01

reporter   ~0065974

I changed MaxDisplayLengthForString to both 200 and 0 and I still had the same problem.

Same problem compiling fpc 2.6.0 with the current Lazarus revision.

As you suspected, revision 40412 broke things:

fpc 2.7.1 and revision 40411: works
fpc 2.7.1 and revision 40412: fails

Attaching a log file with Lazarus revision 40455 and the 'hello world' program above. Fpc 2.7.1.

lks

2013-03-02 06:02

reporter  

LOG_FILE (12,032 bytes)
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
CarbonFontIDToFontName Error: ATSUFindFontName Length failed with result -8905
TMainIDE.ParseCmdLineOptions:
  PrimaryConfigPath="/Users/lou/.lazarus"
  SecondaryConfigPath="/etc/lazarus"
DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
DebugDataWindow: TCallStackDlg.CallStackCurrent from nil  Upd:True
DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
  DebugDataMonitor: >>ENTER: TCurrentCallStackList.GetEntryForThread: ThreadId=0
  DebugDataMonitor: <<EXIT: TCurrentCallStackList.GetEntryForThread
DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
DebugDataWindow: TCallStackDlg.CallStackChanged from nil Upd:True
DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
TCarbonTabsControl.SetFocus Error: SetKeyboardFocus  failed with result -30585
[TMainIDE.DoRunProject] INIT
TMainIDE.DoInitProjectRun Check build ...
TMainIDE.DoBuildProject MainBuildBoss.DoCheckIfProjectNeedsCompilation nothing to be done
TMainIDE.DoInitProjectRun ProgramFilename=/Users/lou/project1
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
DebugDataWindow: TCallStackDlg.BreakPointChanged TManagedBreakPoints  Upd:False
DebugDataWindow: TCallStackDlg.CallStackChanged from TCallStackMonitor Upd:False
DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
[TCmdLineDebugger] Debug PID: 74427
<< TCmdLineDebugger.ReadLn "(gdb) "
Executing (Recurse-Count=0) queued= 0 CmdPrior=0 CmdMinRunLvl=-1 : "TGDBMIDebuggerCommandInitDebugger" State=None PauseWaitState=0
  >> TCmdLineDebugger.SendCmdLn "-gdb-set confirm off"
  << TCmdLineDebugger.ReadLn "^done,time={wallclock="0.00002",user="0.00001",system="0.00001",start="1362198920.168147",end="1362198920.168169"}"
  << TCmdLineDebugger.ReadLn "(gdb) "
  >> TCmdLineDebugger.SendCmdLn "-gdb-set new-console off"
  << TCmdLineDebugger.ReadLn "^error,msg="No symbol table is loaded.  Use the \"file\" command.""
  << TCmdLineDebugger.ReadLn "(gdb) "
  >> TCmdLineDebugger.SendCmdLn "set width 50000"
  << TCmdLineDebugger.ReadLn "&"set width 50000\n""
  << TCmdLineDebugger.ReadLn "^done"
  << TCmdLineDebugger.ReadLn "(gdb) "
  >> TCmdLineDebugger.SendCmdLn "set target-async off"
  << TCmdLineDebugger.ReadLn "&"set target-async off\n""
  [TMainIDE.DoRunProject] INIT
  TMainIDE.DoInitProjectRun Check build ...
  TMainIDE.DoBuildProject MainBuildBoss.DoCheckIfProjectNeedsCompilation nothing to be done
  TMainIDE.DoInitProjectRun ProgramFilename=/Users/lou/project1
  [TDebugManager.DoInitDebugger] *** Re-Entered
  DebugDataWindow: TCallStackDlg.UpdateView in IsUpdating
  DebugDataWindow: >>ENTER: TCallStackDlg.UpdateView
  DebugDataWindow: <<EXIT: TCallStackDlg.UpdateView
  [TCmdLineDebugger.Getoutput] Error waiting 
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 16 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 32 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 64 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  [TCmdLineDebugger.Getoutput] Error waiting 
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 16 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 32 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 64 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  [TCmdLineDebugger.Getoutput] Error waiting 
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 2 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 4 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  Last message repeated 8 times: "[TCmdLineDebugger.Getoutput] Error waiting "
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.ReadLn ""
  << TCmdLineDebugger.Rea
LOG_FILE (12,032 bytes)

Martin Friebe

2013-03-02 19:29

manager   ~0065980

Please try with revision 40461 or up.

Out of interest: What version does your GDB report?

lks

2013-03-02 21:16

reporter   ~0065981

Your fix worked -- thanks Martin!

I am using the gdb distributed with Mac OS X 10.8.2 / X Code 4.6 on a Mac Mini:

$ gdb
GNU gdb 6.3.50-20050815 (Apple version gdb-1824) (Thu Nov 15 10:42:43 UTC 2012)
Copyright 2004 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you are
welcome to change it and/or distribute copies of it under certain conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB. Type "show warranty" for details.
This GDB was configured as "x86_64-apple-darwin".
(gdb) quit

Issue History

Date Modified Username Field Change
2013-03-01 01:39 lks New Issue
2013-03-01 01:39 lks Status new => assigned
2013-03-01 01:39 lks Assigned To => Martin Friebe
2013-03-01 02:42 Martin Friebe LazTarget => 1.2
2013-03-01 02:42 Martin Friebe Note Added: 0065955
2013-03-01 02:42 Martin Friebe Status assigned => feedback
2013-03-02 06:01 lks Note Added: 0065974
2013-03-02 06:01 lks Status feedback => assigned
2013-03-02 06:02 lks File Added: LOG_FILE
2013-03-02 19:29 Martin Friebe Note Added: 0065980
2013-03-02 21:16 lks Note Added: 0065981
2013-03-02 22:08 Martin Friebe Fixed in Revision => 40461
2013-03-02 22:08 Martin Friebe Status assigned => resolved
2013-03-02 22:08 Martin Friebe Fixed in Version => 1.1 (SVN)
2013-03-02 22:08 Martin Friebe Resolution open => fixed
2013-03-02 22:08 Martin Friebe Target Version => 1.2.0